Documentation IndexFetch the complete documentation index at: /llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
cURL
curl --request GET \ --url https://app.msportal.ai/api/public/v1/report-schedules/{id} \ --header 'Authorization: Bearer <token>'
{ "data": { "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "name": "<string>", "description": "<string>", "templateId": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "templateName": "<string>", "companyId": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "companyName": "<string>", "relativeDateRange": "<string>", "customDaysBack": 123, "dayOfWeek": 3, "dayOfMonth": 16, "runTime": "<string>", "nextRunAt": "2023-11-07T05:31:56Z", "lastRunAt": "2023-11-07T05:31:56Z", "emailEnabled": true, "emailSubject": "<string>", "includePdfAttachment": true, "lastError": "<string>", "createdAt": "2023-11-07T05:31:56Z", "updatedAt": "2023-11-07T05:31:56Z" } }
Retrieve a single report schedule by ID.
Use your API key as a Bearer token. API keys can be generated in Settings → Integrations → API Access.
Schedule ID
Report schedule details
Show child attributes
Was this page helpful?